using Services;
using ShoopNCook.Controllers;

namespace ShoopNCook.Pages;

public partial class LoginPage : ContentPage
{
    private readonly LoginController controller;
	public LoginPage(LoginController controller)
	{
		InitializeComponent();
        this.controller = controller;
	}
    private void OnLoginButtonClicked(object sender, EventArgs e)
    {
        string email = EmailEntry.Text;
        string password = PasswordEntry.Text;
        controller.Login(email, password);
    }
    
    private async void RegisterLabbelTapped(object sender, EventArgs e)
    {
        await Shell.Current.GoToAsync("//Register");
    }
}